/* 
Created by Web Xplained

Check our youtube channel to know the process behind this project
https://www.youtube.com/channel/UC4sWzrFzcFKCoGYj6PaIsDg 

*/

@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap');
*, *::after, *::before {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Ubuntu', sans-serif;
}
html, body {
  margin: 0;
  padding: 0;
  width: 100%;
  overflow-x: hidden; /* Prevent horizontal scrolling */
}

body {
  position: relative;
}

body::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  pointer-events: none; /* Allow interactions with underlying content */
}

video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.container {
    height: 100vh;
    width: 100vw;
}

header {
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2% 5%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header a.logo {
    display: flex;
    text-decoration: none;
    align-items: center;
    font-size: 28px;
    color: white;
}

header a.logo img {
    width: 70px;
    margin-right: 10px;
}

main {
    position: relative;
    height: 100vh;
}

h5 {
    color: skyblue;
    font-size: 24px;
}

h1 {
    margin: 20px 0;
    font-size: 68px;
}

h4 {
    font-size: 20px;
    color: rgba(256, 256, 256, 0.7);
}

main .about {
    position: absolute;
    top: 30%;
    left: 5%;
    z-index: 2;
    color: white;
}

.about a.discover {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    text-decoration: none;
    color: white;
    margin-top: 60px;
    font-weight: 500;
}

.about a.discover img {
    width: 30px;
    margin-right: 10px;
}

main ol.links {
    position: absolute;
    top: 30%;
    right: 8%;
    z-index: 2;
    color: white;
    list-style-type: none;
}

main ol.links a {
    position: relative;
    display: block;
    text-decoration: none;
    color: white;
    text-transform: capitalize;
    font-weight: 500;
    margin: 30px 0;
    text-align: right;
    opacity: 0.5;
    transition: all 0.5s ease-in;
}

main ol.links a::after {
    content: '';
    position: absolute;
    right: -20px;
    top: 50%;
    width: 10px;
    height: 1px;
    background-color: white;
    transition: all 0.5s ease-in;
}

main ol.links a.active, main ol.links a:hover {
    opacity: 1;
    transition: all 0.5s ease-in;
}

main ol.links a.active::after, main ol.links a:hover::after {
    right: -40px;
    width: 30px;
    transition: all 0.5s ease-in;
}
.product-section {
  position: relative;
  height: 100vh; /* Adjusted height to cover the entire viewport */
  padding: 20px;
  color: white;
}

.product-section .background-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('/static/images/pro.jpg'); /* Replace 'path_to_your_image.jpg' with the actual path to your image */
  background-size: cover;
  background-position: center;
  z-index: -1;
  /* opacity: 0.5;  */
}

.product-section .description {
  text-align: center;
}

.product-section .title1 {
  padding-top: 100px;
  font-size: 2m;
  margin-bottom: 20px;
}
.product-section .title2{
  padding-top: 80px;

}

.product-section .paragraph {
  font-size: 1.1em;
  line-height: 1.5;
  margin-bottom: 20px;
}
.product-section .button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #05b8b8; /* Adjust the background color as needed */
  color: rgb(235, 228, 228);
  text-decoration: none;
  border-radius: 5px;
  transition: background-color 0.3s ease;
}

.product-section .button:hover {
  background-color: #034d4d; /* Adjust the background color on hover as needed */
}




/* d */
@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;500;600;700;800&family=Tilt+Neon&display=swap");

@property --gradient-angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Nunito", sans-serif;
}

html {
  scroll-behavior: smooth;
}

img {
  width: 100%;
  pointer-events: none;
  user-select: none;
}

/* SECTION - HOME */

.home {
  display: grid;
  grid-template-columns: 45% 50%;
  place-items: center;
  gap: 50px;
  background: #023e6f;
  background: radial-gradient(
    circle,
    #052039,
    rgb(2, 16, 36) 60%
  );
  overflow: hidden;
  padding: 130px 80px;
}

.description {
  color: #fff;
  padding: 0 50px;
}

.description > h1 {
  font-family: "Tilt Neon", sans-serif;
  font-size: clamp(2.3rem, 5vw, 4rem);
  line-height: 1.1;
  margin-bottom: 30px;
}

.gradient-text {
  font-family: "Tilt Neon", sans-serif;
  background-image: linear-gradient(
    90deg,
    rgb(118, 167, 63) 0%,
    rgb(51, 143, 118) 40%,
    rgb(55, 141, 167) 50%,
    rgb(117, 152, 242) 70%,
    rgb(144, 118, 236) 100%
  );
  color: transparent;
  background-size: contain;
  background-clip: text;
  -webkit-background-clip: text;
}

.description > p {
  font-family: "Nunito", sans-serif;
  font-size: 1.2rem;
  line-height: 1.5;
  margin-bottom: 30px;
}


.users-color-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(3, 1fr);
  gap: 20px;
}

.item {
  max-width: 200px;
  aspect-ratio: 1/1;
  box-shadow: 0 8px 8px rgba(0, 0, 0, 0.5),
    inset 0px 2px 2px rgba(255, 255, 255, 0.2);
  animation: fadeIn 0.5s linear 1 forwards;
  animation-delay: calc(0.2s * var(--i));
  opacity: 0;
}

.item:nth-child(1) {
  background-color: #67d7e1;
  border-radius: 50% 50% 0 50%;
}

.item:nth-child(2) {
  border-radius: 50% 50% 0 0;
}

.item:nth-child(3) {
  background-color: #6cc164;
  border-radius: 50%;
}

.item:nth-child(4) {
  border-radius: 0 0 0 50%;
}

.item:nth-child(5) {
  border-radius: 0 50% 50% 0;
}

.item:nth-child(6) {
  background-color: #8071a8;
  border-radius: 0 50% 50% 50%;
}

.item:nth-child(7) {
  border-radius: 50% 50% 0 50%;
}

.item:nth-child(8) {
  background-color: #fe7519;
  border-radius: 50% 0 0 50%;
}

.item:nth-child(9) {
  background-color: #f5bec3;
  border-radius: 0 50% 50% 0;
}

.item:nth-child(10) {
  border-radius: 50%;
}

.item:nth-child(11) {
  background-color: #fcd659;
  border-radius: 50% 0 50% 50%;
}

.item:nth-child(12) {
  border-radius: 50% 0 0 0;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: scale(0);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}




@media (max-width: 1215px) {
  .description > p {
    font-size: 1rem;
  }

}

@media (max-width: 1015px) {
  .home {
    grid-template-columns: 45% 50%;
    gap: 50px;
    padding: 140px 50px;
  }

  .description > p {
    font-size: 1rem;
  }


  .btn-grad {
    padding: 8px 12px;
  }
}
@media(max-width : 907px){
  .main-title {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    margin: 0;
    padding: 0;
    padding-left: 50px;
    padding-bottom: 400px;
    color: #008080;
    text-align: center;
    font-size: 1.8em;
}
}
@media (max-width: 865px) {
  .home {
    grid-template-columns: 45% 50%;
    gap: 60px;
    padding: 130px 70px;
  }
}

@media (max-width: 815px) {
  .home {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr;
    grid-template-areas:
      "userscolorcontainer"
      "description";
    gap: 30px;
    padding: 90px 80px 70px;
  }

  .users-color-container {
    grid-area: userscolorcontainer;
  }

  .description {
    grid-area: description;
    padding: 0;
    text-align: center;
  }

  .description > p {
    font-size: 1.1rem;
  }
}

@media (max-width: 815px) {
  .description > p {
    font-size: 1rem;
  }
}
@media(max-width : 670px){
  .main-title {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    margin: 0;
    padding: 0;
    padding-left: 50px;
    padding-bottom: 100px;
    color: #008080;
    text-align: center;
    font-size: 1.5em;
}
}

@media (max-width: 460px) {
  .home {
    gap: 0;
    padding: 30px 40px;
  }


}
@media (max-width: 430px){
  .main-title {
    /* position: absolute; */
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    margin: 0;
    padding: 0;
    padding-left: -20px;
    padding-bottom: 30px;
    color: #008080;
    text-align: center;
    font-size: 2em;
}


}


/* Header */
.large-header {
    position: relative;
    width: 100%;
    height: 100vh;
    background: #01070c;
    background: radial-gradient(
      circle,
      #052039,
      rgb(2, 16, 36) 60%
    );
    overflow: hidden;
    background-size: cover;
    background-position: center center;
    z-index: 1;
  }
  #large-header {
    background-image: url('../images/fac.jpg');
}

.main-title {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    margin: 0;
    padding: 0;
    padding-left: 100px;
    padding-bottom: 100px;
    color: #008080;
    text-align: center;
}
#demo-canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1; /* Ensure canvas is behind other content */
}

.content {
    position: relative; /* Ensure child elements are positioned relative to this */
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    justify-content: center;
    height: 100%;
    /* padding: 20px; */
    padding-left: 100px;
    padding-top: 180px;
    color: #f9f1e9; 
    font-size: 2.2vh;
}


  .demo-1 .main-title {
    text-transform: uppercase;
    font-size: 3.4em;
    letter-spacing: 0.1em;
  }
  /* .main-title .thin {
    font-weight: 150;
  } */
  .demo-1 .collection {
    text-transform: uppercase;
    font-size: 2.2em;
    letter-spacing: 0.1em;
  }
  @media only screen and (max-width: 768px) {
    .demo-1 .main-title {
      font-size: 1.4em;
    }

  }
  
  #upload_btn {
    background-color: #008080 ;/* RGB(2, 16, 36) with 60% opacity */
    color: white; /* Text color */
    padding: 10px 20px; /* Padding */
    border: none; /* Remove border */
    border-radius: 5px; /* Rounded corners */
    cursor: pointer; /* Cursor style */
    font-size: 16px; /* Font size */
    margin-top: 30px;
    width: 20%;
    
  }
  
  /* Hover effect */
  #upload_btn:hover {
    background-color: #034d4d /* Lighter background color on hover */
  }
  

footer {
    position: absolute;
    bottom: 0;
    z-index: 2;
    padding: 2% 5%;
    max-width: 60%;
}

footer ul {
    display: flex;
    list-style-type: none;
    justify-content: space-between;
    align-items: flex-start;
}

footer ul li {
    padding-right: 7%;
}

footer h4 {
    position: relative;
    margin-bottom: 30px;
    font-size: 18px;
    font-weight: 700;
}

footer h4::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: -10px;
    width: 30px;
    height: 1px;
    background-color: rgba(256, 256, 256, 0.7);
}

footer p {
    color: rgba(256, 256, 256, 0.7);
    padding-bottom: 20px;
}

footer a {
    text-decoration: none;
    color: #00F0FF;
}


.hamburger-menu {
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  height: 25px;
  width: 30px;
}

.bar {
  height: 50px;
  width: 100%;
  background-color: #fff;
  border-radius: 10px;
}

.links {
  display: none;
}

.navigation.active {
  display: block;
}

@media (min-width: 768px) {
  .hamburger-menu {
      display: none;
  }

  .links {
      display: block;
  }

  .navigation {
      display: flex;
  }

  .navigation li {
      margin-right: 100px;
  }
}